import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$c } from './p-Bu11LCUv.js';
import { d as defineCustomElement$b } from './p-CQbQdVrC.js';
import { d as defineCustomElement$a } from './p-y4YLJS_V.js';
import { d as defineCustomElement$9 } from './p-DBpsmom7.js';
import { d as defineCustomElement$8 } from './p-CiigIe1j.js';
import { d as defineCustomElement$7 } from './p-BxLSOqmG.js';
import { d as defineCustomElement$6 } from './p-bvgZEbtQ.js';
import { d as defineCustomElement$5 } from './p-CjYYybR1.js';
import { d as defineCustomElement$4 } from './p-DiC-xcof.js';
import { d as defineCustomElement$3 } from './p-Cv0O724A.js';
import { d as defineCustomElement$2 } from './p-Dh-Mxr8V.js';

const DgaCardV2Usage$1 = /*@__PURE__*/ proxyCustomElement(class DgaCardV2Usage extends H {
    constructor() {
        super();
        this.__registerHost();
        this.variant = 'neutral';
        this.selected = false;
    }
    render() {
        return (h("div", { key: '2d73f3d02cb1d886cd5948237006dfae4e09d9fb' }, h("h1", { key: '80270647eb6bc8e676781c3a2bb734bb4b8696ef' }, "Card Example"), h("div", { key: '735580b25f62fa86d92ba831d5c076e6527f679f', style: { padding: '50px', display: 'flex', gap: '20px' } }, h("div", { key: '58749d519f3c068e75ca68c148e18142d5e98b19', style: { display: 'flex', flexDirection: 'column', gap: '20px' } }, h("dga-card-v2", { key: '86b23fb31c75c3fe5fc1ef00a33c869fd4e7d400', type: "default", sx: {
                "& > .card": {
                    backgroundColor: 'red',
                    height: '400px',
                }
            } }, h("dga-card-content", { key: '4906c16217c7c2c8fdf02b1566a575c7dd2214b6' }, h("dga-featured-icon", { key: 'e4e38fa776fa8b3cdb0ca8f0cdca30e2b7c85f66', color: 'brand', variant: 'light', size: 'lg', icon: {
                name: 'checkmark-circle-02',
                variant: 'stroke',
                type: 'sharp',
                size: 24
            } }), h("dga-flex", { key: '3034c60ae077339d51b37c835ef6764ee6b401ff', direction: 'column', spacing: 8 }, h("h4", { key: 'c15f8baee0d71f25ffb4d7adfb42cc6a97abab62', class: "text-lg-bold" }, "Card Title test"), h("p", { key: '29fad679ea5effa6efe103660e386a25fcdd50f6', class: "text-md-regular" }, "Card content placeholder text goes here")), h("dga-flex", { key: 'c9182215ad15bd28d55004ded210463fc07a5709', direction: 'column', spacing: 4 }, h("dga-rating", { key: 'cda5b622bc0897f0ac6981ad6ce9c273fd77aafd', value: 4, size: 'sm' }), h("span", { key: '628b04f8a1fd198916b894f0d0cc47f15fb6b147', class: "text-xs-regular" }, "12 reviews"))), h("dga-card-actions", { key: 'd4c707952dc4eb40e5e18320b01ed3897e6a8ce4' }, h("dga-button-v2", { key: 'd8d6ab285916e2df5c93ca8071764bb2e42fe18c', label: "Primary", size: "lg", variant: "primary", onClick: () => console.log('Primary Action') }), h("dga-button-v2", { key: '193f34f642be7d61d1d9bc8945857c7613870ecb', label: "Secondary", size: "lg", variant: "secondary-outline", onClick: () => console.log('Secondary Action') })), h("dga-card-expandable-content", { key: '709b3b444c102758ab0f5e406b3f27c4e41ea5db' }, h("div", { key: '1a78233cc69fb299b4917b9fb945d2ad82bd363a' }, "Expanded Content"), h("p", { key: '1ca80c70daf855792949bfbf12f461447b39272a' }, "Lorem ipsum dolor sit amet consectetur, adipisicing elit. Earum voluptatum, facere mollitia quas natus nihil, doloribus repudiandae, quasi vitae nobis deserunt similique magni explicabo. Molestiae unde dolorem expedita aut recusandae.")))), h("div", { key: '0a27c6723cc19e756df493f05e477f01d757166b', style: { display: 'flex', flexDirection: 'column', gap: '20px' } }))));
    }
}, [0, "dga-card-v2-usage", {
        "variant": [32],
        "selected": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-card-v2-usage", "dga-button-v2", "dga-card-actions", "dga-card-content", "dga-card-expandable-content", "dga-card-v2", "dga-checkbox", "dga-featured-icon", "dga-flex", "dga-icon", "dga-icon-v2", "dga-rating"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-card-v2-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaCardV2Usage$1);
            }
            break;
        case "dga-button-v2":
            if (!customElements.get(tagName)) {
                defineCustomElement$c();
            }
            break;
        case "dga-card-actions":
            if (!customElements.get(tagName)) {
                defineCustomElement$b();
            }
            break;
        case "dga-card-content":
            if (!customElements.get(tagName)) {
                defineCustomElement$a();
            }
            break;
        case "dga-card-expandable-content":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "dga-card-v2":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "dga-checkbox":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "dga-featured-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "dga-flex":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "dga-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "dga-icon-v2":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "dga-rating":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaCardV2Usage = DgaCardV2Usage$1;
const defineCustomElement = defineCustomElement$1;

export { DgaCardV2Usage, defineCustomElement };
